print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local priceChair = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	local priceTable = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	local priceWardrobe = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	local priceEmptyPallets = g_fillTypeManager:getFillTypeByName("WOODCHIPS").pricePerLiter
	local priceemptyPallet = g_fillTypeManager:getFillTypeByName("WOODCHIPS").pricePerLiter
	
	local priceBretter = g_fillTypeManager:getFillTypeByName("WOODCHIPS").pricePerLiter
	local priceBOARDS = g_fillTypeManager:getFillTypeByName("WOODCHIPS").pricePerLiter
	
	if node ~= 0 then
	
	local chairHudFile = "hud/hud_fill_stuhl.dds"
	local chairHudFileSmall = "hud/hud_fill_stuhl_sml.dds"
	local tableHudFile = "hud/hud_fill_tisch.png"
    local tableHudFileSmall = "hud/hud_fill_tisch_sml.png"
	local wardrobeHudFile = "hud/hud_fill_schrank.png"
    local wardrobeHudFileSmall = "hud/hud_fill_schrank_sml.png"
	local emptyPalletsHudFile = "hud/hud_fill_emptypallets.png"
    local emptyPalletsHudFileSmall = "hud/hud_fill_emptypallets_sml.png"
	local emptyPalletHudFile = "hud/hud_fill_emptypallets.png"
    local emptyPalletHudFileSmall = "hud/hud_fill_emptypallets_sml.png"
	
	local BretterHudFile = "hud/hud_fill_Bretter.png"
    local BretterHudFileSmall = "hud/hud_fill_Bretter_sml.png"
	local BOARDSHudFile = "hud/hud_fill_Bretter.png"
    local BOARDSHudFileSmall = "hud/hud_fill_Bretter_sml.png"
	print("Register neuen filltype fuer Schreinerei Stuhl, Tisch,Schrank");
	local chair = g_fillTypeManager:addFillType("Chair", g_i18n:getText("chair"), true, priceChair * 1.5, 0.00045, math.rad(40), chairHudFile, chairHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	local Table = g_fillTypeManager:addFillType("TABLE", g_i18n:getText("table"), true, priceTable * 2.0, 0.00045, math.rad(40), tableHudFile, tableHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
    local wardrobe = g_fillTypeManager:addFillType("WARDROBE", g_i18n:getText("wardrobe"), true, priceWardrobe * 3.0, 0.00045, math.rad(40), wardrobeHudFile, wardrobeHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
    local emptyPallets = g_fillTypeManager:addFillType("EMPTYPALLETS", g_i18n:getText("emptyPallets"), false, priceEmptyPallets * 1.5, 0.00045, math.rad(40), emptyPalletsHudFile, emptyPalletsHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
    local emptyPallet = g_fillTypeManager:addFillType("EMPTYPALLET", g_i18n:getText("emptyPallet"), false, priceemptyPallet * 1.5, 0.00045, math.rad(40), emptyPalletHudFile, emptyPalletHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
    local Bretter = g_fillTypeManager:addFillType("BRETTER", g_i18n:getText("Bretter"), false, priceBretter * 1.5, 0.00045, math.rad(40), BretterHudFile, BretterHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
    local BOARDS = g_fillTypeManager:addFillType("BOARDS", g_i18n:getText("BOARDS"), false, priceBOARDS * 1.5, 0.00045, math.rad(40), BOARDSHudFile, BOARDSHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
   

	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local haswoodChips =false
	local hasmaize =false
	local haschair=false	
	local hastable=false
	local haswardrobe=false
	local hasemptypallets=false
	local hasemptyPallet=false
	local hasBretter=false
	local hasBOARDS=false
	
	
	local object=id
	if object == nil then
	else
	haswoodChips =false
	hasmaize =false
	haschair=false
	hastable=false
	haswardrobe=false
	hasemptypallets=false
	hasemptyPallet=false
	hasBretter=false
	hasBOARDS=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
	    
		if fillname == "WOODCHIPS" then
		haswoodChips=true
	end;
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "CHAIR" then
		haschair=true
	end;
		if fillname == "TABLE" then
		hastable=true
	end;
	    if fillname == "WARDROBE" then
		haswardrobe=true
	end;
	    if fillname == "EMPTYPALLETS" then
		hasemptypallets=true
	end;
	  if fillname == "EMPTYPALLET" then
		hasemptypallet=true
	end; 
	 if fillname == "BRETTER" then
		hasBretter=true
	end; 
     if fillname == "BOARDS" then
		hasBOARDS=true
	end; 	
end;

		if hasmaize and not haschair then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("CHAIR")
		local price = g_fillTypeManager:getFillTypeByName("CHAIR").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("CHAIR")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		if hasmaize and not hastable then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("TABLE")
		local price = g_fillTypeManager:getFillTypeByName("TABLE").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("TABLE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		if hasmaize and not haswardrobe then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("WARDROBE")
		local price = g_fillTypeManager:getFillTypeByName("WARDROBE").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("WARDROBE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		if haswoodChips and not hasemptypallets then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("EMPTYPALLETS")
		local price = g_fillTypeManager:getFillTypeByName("EMPTYPALLETS").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("EMPTYPALLETS")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("WOODCHIPS")]
			object:initPricingDynamics()
		end;
		if haswoodChips and not hasemptyPallet then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("EMPTYPALLET")
		local price = g_fillTypeManager:getFillTypeByName("EMPTYPALLET").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("EMPTYPALLET")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("WOODCHIPS")]
			object:initPricingDynamics()
		end;
		if haswoodChips and not hasBretter then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("BRETTER")
		local price = g_fillTypeManager:getFillTypeByName("BRETTER").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("BRETTER")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("WOODCHIPS")]
			object:initPricingDynamics()
		end;
		if haswoodChips and not hasBOARDS then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("BOARDS")
		local price = g_fillTypeManager:getFillTypeByName("BOARDS").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("BOARDS")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("WOODCHIPS")]
			object:initPricingDynamics()
		end;
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)